Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions
Interface IUserLayoutRestriction

All Known Implementing Classes:
  ALRestriction, BooleanRestriction, DepthRestriction, GroupRestriction, HiddenRestriction, ImmutableRestriction, PriorityRestriction, UnremovableRestriction, UserLayoutRestriction

    public interface IUserLayoutRestriction

IUserLayoutRestriction is the base interface for UserLayout restrictions.

Version:
  $Revision: 1.9 $
Author:
  Michael Ivanov

Field Summary
`static java.lang.String` | `CHILDREN_RESTRICTION_PATH`
`static java.lang.String` | `LOCAL_RESTRICTION_PATH`
`static java.lang.String` | `PARENT_RESTRICTION_PATH`

Method Summary
`boolean` | `checkRestriction(ILayoutNode node)` Checks the relative restriction on a given node
`boolean` | `checkRestriction(java.lang.String propertyValue)` Checks the restriction for the given property value
`java.lang.String` | `getName()` Returns the name of the current restriction
`java.lang.String` | `getRestrictionExpression()` Gets the restriction expression
`java.lang.String` | `getRestrictionPath()` Gets the tree path for the current restriction
`java.lang.String` | `getUniqueKey()` Gets the unique key of the current restriction
`void` | `setName(java.lang.String name)` Sets the name of the current restriction
`void` | `setRestrictionExpression(java.lang.String restrictionExpression)` Sets the restriction expression
`void` | `setRestrictionPath(java.lang.String restrictionPath)` Sets the restriction path

Field Detail

### LOCAL_RESTRICTION_PATH

    static final java.lang.String LOCAL_RESTRICTION_PATH

See Also:
  Constant Field Values

### PARENT_RESTRICTION_PATH

    static final java.lang.String PARENT_RESTRICTION_PATH

See Also:
  Constant Field Values

### CHILDREN_RESTRICTION_PATH

    static final java.lang.String CHILDREN_RESTRICTION_PATH

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the current restriction

  Returns:
    a `String` name

### setName

    void setName(java.lang.String name)

  Sets the name of the current restriction

  Parameters:
    `a` - `String` name

### getUniqueKey

    java.lang.String getUniqueKey()

  Gets the unique key of the current restriction

  Returns:
    a `String` unique key

### checkRestriction

    boolean checkRestriction(java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction for the given property value

  Parameters:
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException`

### checkRestriction

    boolean checkRestriction(ILayoutNode node)
                             throws PortalException

  Checks the relative restriction on a given node

  Parameters:
    `node` - a `ILayoutNode` node
  Returns:
    a boolean value
  Throws:
    `PortalException`

### setRestrictionExpression

    void setRestrictionExpression(java.lang.String restrictionExpression)

  Sets the restriction expression

  Parameters:
    `restrictionExpression` - a `String` expression

### getRestrictionExpression

    java.lang.String getRestrictionExpression()

  Gets the restriction expression

  Returns:
    a `String` expression

### setRestrictionPath

    void setRestrictionPath(java.lang.String restrictionPath)

  Sets the restriction path

  Parameters:
    `restrictionPath` - a `String` path

### getRestrictionPath

    java.lang.String getRestrictionPath()

  Gets the tree path for the current restriction

  Returns:
    a `String` tree path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD